<?php

namespace patest\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KeyValueOfanyTypeHallDataDictionaryEntryvEzo7Bse
 * StructType
 * @subpackage Structs
 */
class KeyValueOfanyTypeHallDataDictionaryEntryvEzo7Bse extends AbstractStructBase
{
    /**
     * The Key
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var mixed
     */
    public $Key;
    /**
     * The Value
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \patest\StructType\HallDataDictionaryEntry
     */
    public $Value;
    /**
     * Constructor method for KeyValueOfanyTypeHallDataDictionaryEntryvEzo7Bse
     * @uses KeyValueOfanyTypeHallDataDictionaryEntryvEzo7Bse::setKey()
     * @uses KeyValueOfanyTypeHallDataDictionaryEntryvEzo7Bse::setValue()
     * @param mixed $key
     * @param \patest\StructType\HallDataDictionaryEntry $value
     */
    public function __construct($key = null, \patest\StructType\HallDataDictionaryEntry $value = null)
    {
        $this
            ->setKey($key)
            ->setValue($value);
    }
    /**
     * Get Key value
     * @return mixed|null
     */
    public function getKey()
    {
        return $this->Key;
    }
    /**
     * Set Key value
     * @param mixed $key
     * @return \patest\StructType\KeyValueOfanyTypeHallDataDictionaryEntryvEzo7Bse
     */
    public function setKey($key = null)
    {
        $this->Key = $key;
        return $this;
    }
    /**
     * Get Value value
     * @return \patest\StructType\HallDataDictionaryEntry|null
     */
    public function getValue()
    {
        return $this->Value;
    }
    /**
     * Set Value value
     * @param \patest\StructType\HallDataDictionaryEntry $value
     * @return \patest\StructType\KeyValueOfanyTypeHallDataDictionaryEntryvEzo7Bse
     */
    public function setValue(\patest\StructType\HallDataDictionaryEntry $value = null)
    {
        $this->Value = $value;
        return $this;
    }
}
